function formsubmit(b){$(b).replaceWith("<span class='dgwindow'><img class='os' src='images/loading.gif' /></span><span>启动中...</span>");
var a=new monor_jsonp();
a.url="http://"+cfg_remote_host+"/co_main.php?eb5707348=eminershow&t="+Math.random()+"&callback=?";
a.default_errmaininfo="<div class='dgmsg_error'><div class='initmsg'><img class='faceimg' src='images/dg_face/face_error.png'/><span>您的身份标识验证失败，请再重试一次或联系官网客服</span></div></div>";
a.default_sucmaininfo=="<div class='dgmsg_success'><div class='initmsg'><img class='faceimg' src='images/dg_face/face_success.png'/><span>身份标识验证成功，现在开始工作中</span></div></div>";
$("#go").html();
a.callbackfunc=function(f){a.localloginfinish=true;
$("#infotable").hide();
$("#repaircostart").show();
if(f.status=="success"){var h="co_getsource_url_action.php";
var g=$(document.form1).serialize();
var d=new co_pub();
d.ed70276a8=true;
d.efabd4b3b="采集进行中。。。";
$("div#pubdataconsolearea input#b116").bind("click",{owner:d},d.togglecopub);
if(document.form1.ebee555a9.value==1){d.eminercoerr_allownum=$paramarr.cfg_search_err_allownum;
}else{d.eminercoerr_allownum=$paramarr.cfg_eminercoerr_allownum;
}if(!d.eminercoerr_allownum){d.eminercoerr_allownum=0;
}if($paramarr.cfg_eminerpuberr_allownum){d.eminerpuberr_allownum=$paramarr.cfg_eminerpuberr_allownum;
}else{d.eminerpuberr_allownum=0;
}if($("input[name='e8afb736c']").val()&&parseInt($("input[name='e8afb736c']").val())<$paramarr.cfg_search_err_allownum){d.eminercoerr_allownum=parseInt($("input[name='e8afb736c']").val());
}var e="";
if(f.info){e=f.info;
}else{e=a.default_sucmaininfo;
}$("#go").html(e);
h+="?e9d2722af=1&action=robot&kw_g=1&ecab1c4fe=1&e6dd1f3ba=1&eabd06204=1&ec7fca41a=1&e05ca0eb9=1&e66756569=1&donow=1&temp_origin=1&"+g;
d.eminerco(h);
}else{a.err_handle(f);
}};
a.err_handle=function(c){a.localloginfinish=true;
$("#infotable").hide();
$("#repaircostart").show();
if(!c){c={};
}if(!c.info){$("#go").html(a.default_errmaininfo);
}else{$("#go").html(infos[0]);
}};
a.do_locallogin();
}function showtitletypechange(a){if($(a).val()=="0"){$(a).closest("tr").find(".pagesizesetarea").hide();
if(parseInt($("input.sptime").val())<1||$("input.sptime").val()==""){$("input.sptime").val(1);
}}else{$(a).closest("tr").find(".pagesizesetarea").show();
}}function savesetting(a){if(em_usrrank<10&&$("#eaaed87de").val()=="emusr1"){alert("此节点为公共示例节点，不能修改！");
return false;
}formpostdata=$(a.form).serialize();
var b=$.ajax({type:"GET",url:"?ajax=1&eb5707348=savesetting&nid="+a.form.nid.value+"&setting="+encodeURIComponent(formpostdata)+"&t="+Math.random(),data:null,dataType:"json",cache:false,async:false,success:function(c){alert(c.info);
},error:function(c,e,d){alert("设置故障，未保存成功,故障原因："+e);
}});
}$(document).ready(function(){$("input[id^='fetchcode_']").keydown(function(a){if(a.which==13){$("#codesubmit").click();
return false;
}});
});
